- Create Field
- Get Field Properties
- Get Tabs By Level
- Get Tabs And Groups
- Get Fields
- Update Field Properties
- Update Field Group
- Update Field Tab
- Update Tab Icon
- Update Field
- Delete Field Group
- Delete Field Tab
- Delete Field
POST /api/v1/governance/fieldCreate a new fieldRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
string
Entity level the fields apply to, for example
asset.string
Type or kind of the object.
string
ID of the field tab.
array
Allowed values for a select field.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Data Classification",
"level": "asset",
"type": "select",
"field_tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"options": [
"Public",
"Internal",
"Restricted"
]
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "Data Classification",
"level": "asset",
"type": "select",
"field_tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"options": [
"Public",
"Internal",
"Restricted"
]
}
Response
{
"success": true,
"message": "Create a new field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field-propertyGet all fields for a given field_tab_id with optional level and entity_id filtersRequest Bodystring
ID of the field tab.
string
Entity level the fields apply to, for example
asset.string
ID of the entity the properties belong to.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"field_tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"level": "asset",
"entity_id": "de895cb6-3810-58a4-937a-f54da5201882"
}'
This request body matches the payload the Prizm web app sends for this endpoint. IDs and values are placeholders.
Request body
{
"field_tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"level": "asset",
"entity_id": "de895cb6-3810-58a4-937a-f54da5201882"
}
Response
{
"success": true,
"message": "Get all fields for a given field_tab_id with optional level and entity_id filters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/tabs-by-levelGet tabs based on the level of fields associated with themRequest Bodystring
required
Entity level the fields apply to, for example
asset.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-by-level" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"level": "asset"
}'
This request body matches the payload the Prizm web app sends for this endpoint. IDs and values are placeholders.
Request body
{
"level": "asset"
}
Response
{
"success": true,
"message": "Get tabs based on the level of fields associated with them",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"level": "asset",
"tabs": [
{
"id": "7f5b7f07-758d-593b-a0f1-51849aa77f08",
"name": "Governance",
"icon": null
}
]
}
}
GET /api/v1/governance/field/tabs-groupsGet all field tabs and groupsResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-groups" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all field tabs and groups",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"tab": [
{
"id": "7f5b7f07-758d-593b-a0f1-51849aa77f08",
"name": "Governance",
"icon": null
}
],
"group": [
{
"id": "6cd62994-f5b2-5007-b475-80751457aaf5",
"name": "Business & Ownership"
}
]
}
}
POST /api/v1/governance/field/listGet fields with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Last Reviewed At".string
Example:
"Date and time when the metric was last reviewed.".string
Example:
"datetime".string
Example:
"metric".object[]
integer
Example:
4.boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.string
Example:
"1329749b-b5c2-5c6d-b67a-e1f9ec878f45".string
Example:
"6cd62994-f5b2-5007-b475-80751457aaf5".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".string
Example:
"c607928f-d823-52a5-b233-dde8301cc4da".string
Example:
"2026-09-16T17:01:29.978819Z".string
Example:
"2026-09-16T17:01:29.978871Z".string
Example:
"grid".integer
Example:
18.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get fields with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Last Reviewed At",
"description": "Date and time when the metric was last reviewed.",
"data_type": "datetime",
"level": "metric",
"options": [],
"display_order": 4,
"is_created": false,
"is_active": true,
"is_delete": false,
"field_tab_id": "1329749b-b5c2-5c6d-b67a-e1f9ec878f45",
"field_group_id": "6cd62994-f5b2-5007-b475-80751457aaf5",
"created_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a",
"modified_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a",
"id": "c607928f-d823-52a5-b233-dde8301cc4da",
"created_at": "2026-09-16T17:01:29.978819Z",
"modified_at": "2026-09-16T17:01:29.978871Z",
"icon": "grid"
}
],
"total_count": 18,
"metrics": []
}
}
POST /api/v1/governance/field-property/updateUpdate or create a field propertyRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the entity the properties belong to.
string
Entity level the fields apply to, for example
asset.array
Array of field values to save.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property/update" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"entity_id": "de895cb6-3810-58a4-937a-f54da5201882",
"level": "asset",
"properties": [
{
"field_id": "4621afc0-0341-5daa-9be9-f08a475d6df1",
"value": "Internal"
}
]
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"entity_id": "de895cb6-3810-58a4-937a-f54da5201882",
"level": "asset",
"properties": [
{
"field_id": "4621afc0-0341-5daa-9be9-f08a475d6df1",
"value": "Internal"
}
]
}
Response
{
"success": true,
"message": "Update or create a field property",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-groupUpdate a field groupRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the field group.
string
Display name.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-group" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"group_id": "4621afc0-0341-5daa-9be9-f08a475d6df1",
"name": "Compliance"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"group_id": "4621afc0-0341-5daa-9be9-f08a475d6df1",
"name": "Compliance"
}
Response
{
"success": true,
"message": "Update a field group",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-tabUpdate a field tabRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the field tab.
string
Display name.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"name": "Business Context"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"name": "Business Context"
}
Response
{
"success": true,
"message": "Update a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/update-tab-iconUpdate the icon of a field tabRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the field tab.
string
Icon name.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab-icon" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"icon": "briefcase"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489",
"icon": "briefcase"
}
Response
{
"success": true,
"message": "Update the icon of a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/field/{fieldId}Update a fieldRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
array
Allowed values for a select field.
string
required
ID of the field.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Data Classification",
"options": [
"Public",
"Internal",
"Confidential",
"Restricted"
]
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "Data Classification",
"options": [
"Public",
"Internal",
"Confidential",
"Restricted"
]
}
Response
{
"success": true,
"message": "Update a field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/delete-groupDelete a field groupRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the field group.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-group" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"group_id": "4621afc0-0341-5daa-9be9-f08a475d6df1"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"group_id": "4621afc0-0341-5daa-9be9-f08a475d6df1"
}
Response
{
"success": true,
"message": "Delete a field group",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/field/delete-tabDelete a field tabRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the field tab.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-tab" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"tab_id": "6bec0bfd-d228-593f-bff0-4b52308f0489"
}
Response
{
"success": true,
"message": "Delete a field tab",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/field/{fieldId}Delete a fieldPath Parametersstring
required
ID of the field.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a field",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}